* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

/* Fonts */
@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100..900&display=swap');

* {
    font-family: "Roboto Slab", serif;
}

.font {
    font-family: "Roboto Slab", serif !important;
}

.fontLight {
    font-weight: 300;
}

.fontRegular {
    font-weight: 400;
}

.fontBold {
    font-weight: 700;
}

.textWhite {
    color: snow;
}

body {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Phone */
.phoneFrame{
    background-color: #000;
    width: 390px;
    height: 767px;
    display: flex;
    justify-content: center;
    border-radius: 2.5rem;
    padding: 1rem;
    position: relative;
}

.phoneNotch {
    position: absolute;
    min-width: 60%;
    min-height: 2.5rem;
    background: black;
    z-index: 1000;
    top: 0;
    border-bottom-left-radius: 1.25rem;
    border-bottom-right-radius: 1.25rem;
}

.phoneScreen{
    position: relative;
    overflow: hidden;
    height: 100%;
    width: 100%;
    border-radius: 2rem;
    background-color: snow;
}

/* Layout */
.flex {
    display: flex;
}

.between {
    justify-content: space-between;
}

.row {
    flex-direction: row;
}

.column {
    flex-direction: column;
}

.noPadding {
    padding: 0;
}

/* Common */
main {
    width: 100%;
    height: 100%;
    padding: 1rem;
    padding-top: 2rem;
    display: flex;
    flex-direction: column;
    background-color: white;
}

.bg-ceviche-light {
    background-color: #f8cbd1;
}

.bg-ceviche {
    background-color: #722f37;
}

.bg-five {
    background-color: #319c43;
}

.bg-five-light {
    background-color: #cff8cb;
}

.bg-crispys {
    background-color: #f49445;
}

.bg-crispys-light {
    background-color: #d1c3ff;
}

.textCeviche {
    color: #722f37;
}

.textFiveVines {
    color: #319c43;
}

.textCrispys {
    color: #d47628;
}

.textLarge {
    font-size: 1.2rem;
}

.textSmall {
    font-size: 0.8rem;
}

img.rating {
    max-width: 7rem;
}

.ratingContainer {
    display: flex;
    justify-content: center;
    position: relative;
}

.ratingTag {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

.infoContainer {
    background: white;
    padding: 1rem;
    margin: 1rem 0;
    border-radius: 0.5rem;
    box-shadow: rgba(0, 0, 0, 0.5) 3px 3px 3px 0;
}

.reviewContainer {
    display: flex;
}

.reviewAvatar {
    max-width: 5rem;
    margin: 0 0.5rem 0 0;
}

.reviewAuthor {
    font-size: 1.25rem;
    display: block;
}

.reviewText {
    font-size: 0.85rem;
}

/* Buttons */
.btn {
    padding: 0.5rem 2rem;
    font-size: 1rem;
    margin: 1rem 0;
    border-radius: 0.25rem;
    border: none;
    border-bottom: grey solid;
    font-weight: 700;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 0px 5px 0px;
}

.btnLarge {
    width: 100%;
    padding: 1rem 2rem;
}

.btnCeviche {
    background-color: #722f37;
    border-bottom-color: #4b1a20;
    color: snow;
}

.btnFiveVines {
    background-color: #319c43;
    border-bottom-color: #13902a;
    color: snow;
}

.btnCrispys {
    background-color: #f49445;
    border-bottom-color: #d47628;
    color: snow;
}

button.back {
    background: transparent;
    border: none;
    display: flex;
    align-items: center;
    font-size: 1.25rem;
}

button.back img {
    margin: 0 0.5rem 0 0;
}

button.back img.back {
    max-width: 0.75rem;
}

/* Navbar */
.nav {
    padding: 2rem 1rem 0;
}

.navTabs {
    justify-content: space-between;
    margin-top: 1rem;
}

.btnNavTab {
    background: transparent;
    border: transparent;
    padding: 1em;
    color: white;
    position: relative;
}

.btnNavTab.active::after {
    content: "";
    border: solid thin;
    border-radius: 10rem;
    position: absolute;
    top: 75%;
    left: 40%;
    right: 40%;
}

/* Splashscreen */
main#splash {
    background-image: url(./../images/splash_bg.png);
    background-size: cover;
    background-position: top center;
}

#splash .logo {
    width: 100%;
    padding: 3rem;
    margin-top: 10rem;
}

.loadingDiv {
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 10rem;
    padding: 0 2.5rem;
}

.loadingDiv .loadingBar {
    width: 100%;
    height: 5px;
    background: white;
    border-radius: 1rem;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 2px 5px 0px;
    margin: 0.5rem 0;
    position: relative;
    overflow: hidden;
}

.loadingDiv .loadingBar .loadingProgress {
    position: absolute;
    background: royalblue;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
}

/* Selection Screen */
main#selection {
    background-color: snow;
    text-align: center;
}

.logo {
    max-width: 100%;
    padding: 1rem 3rem 0;
}

button.restaurant {
    padding: 1rem 2rem 0.5rem;
    border-radius: 1rem;
    border: none;
    margin: 0.5rem 1rem;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 5px 5px;
}

button.restaurant img {
    width: 100%;
}

/* Ceviche - Main */
main#cevicheMain {
    background-image: url(./../images/ceviche_bg.png);
    background-size: cover;
    background-position: center;
}

/* Five Vines - Main */
main#fiveVinesMain {
    background-image: url(./../images/five_vines_bg.png);
    background-size: cover;
    background-position: center;
}

/* Crispys - Main */
main#crispysMain {
    background-image: url(./../images/crispys_bg.png);
    background-size: cover;
    background-position: center;
}

/* Content - Common */
section {
    overflow-y: auto;
}

/* Hide scrollbar for Chrome, Safari and Opera */
section::-webkit-scrollbar {
    display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
section {
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
}

#about .mapContainer {
    width: 100%;
    min-height: 400px;
    background-size: cover;
    background-position: center;
}

.mapContainer .mapInfo {
    padding: 1rem;
    background: rgba(255, 255, 255, 0.5);
}

.mapInfo .mapName {
    font-weight: 700;
    font-size: 1.25rem;
}

.starsContainer img {
    max-width: 1.25em;
}

.description {
    padding: 1rem;
    box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 5px;
}

img.special {
    width: 100%;
}

.specialInfo {
    background-color: white;
    padding: 1rem;
    box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 5px;
    text-align: center;
    display: flex;
    flex-direction: column;
}

.specialTag {
    font-size: 0.9rem;
    font-weight: 700;
}

.specialName {
    font-weight: 700;
    margin: 0.5rem;
    font-size: 1.2rem;
}

.specialPrice {
    margin: 1rem;
    font-weight: 700;
}

/* Content */
#cevicheContent #about .mapContainer {
    background-image: url(./../images/ceviche_map.png);
}

#fiveVinesContent #about .mapContainer {
    background-image: url(./../images/five_vines_map.jpg);
}

#crispysContent #about .mapContainer {
    background-image: url(./../images/crispys_map.jpg);
}

/* Menu */ 
.menu-item {
    display: grid;
    grid-template-columns: 35% 65%;
    padding: 0.5rem 1rem;
}

.menu-item-image {
    min-height: 6rem;
    background-position: center;
    background-size: cover;
    border-radius: 0.5rem;
}

.menu-item-image img {
    display: none;
}

.menu-item-info {
    padding: 0 0.75rem;
}

.menu-item-title {
    font-size: 1.1rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.menu-item-description {
    font-size: 0.9rem;
    min-height: 5rem;
}

.menu-item-price {
    margin-top: 0.5rem;
    font-size: 0.9rem;
}

/* Form */
.form {
    padding: 1rem;
}

.form-section {
    padding: 0.5rem 0;
}

.input {
    display: block;
    width: 100%;
    padding: 0.5rem;
    border-radius: 0.5rem;
    border: solid thin #ccc;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 1px 3px 0px;
}

/* Confirmation */
#confirmation {
    padding: 1rem;
}

#confirmation p {
    margin-top: 1rem;
}